package be.iminds.ilabt.jfed.ui.javafx.probe_gui.command_arguments;

import javafx.beans.property.ReadOnlyProperty;
import javafx.scene.layout.VBox;
import org.slf4j.LoggerFactory;

/**
 * CommandArgumentChooser
 */
public abstract class CommandArgumentChooser<T> extends VBox {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(CommandArgumentChooser.class);

    protected ReadOnlyProperty<T> value;

    public CommandArgumentChooser() {
        setMaxWidth(10000.0);
    }

    public ReadOnlyProperty<T> valueProperty() {
        return value;
    }

    public enum CredentialSubject {USER, SLICE, ANY}
}
